typeof.h File Reference

Go to the source code of this file.

## Macros

#define | TYPEOF_INT 1
#define | TYPEOF_SHORT 2
#define | TYPEOF_CHAR 3
#define | TYPEOF_LONG 4
#define | TYPEOF_FLOAT 5
#define | TYPEOF_FIXED16X16 6
#define | TYPEOF_BIT 7
#define | TYPEOF_BITFIELD 8
#define | TYPEOF_SBIT 9
#define | TYPEOF_SFR 10
#define | TYPEOF_VOID 11
#define | TYPEOF_STRUCT 12
#define | TYPEOF_ARRAY 13
#define | TYPEOF_FUNCTION 14
#define | TYPEOF_POINTER 15
#define | TYPEOF_FPOINTER 16
#define | TYPEOF_CPOINTER 17
#define | TYPEOF_GPOINTER 18
#define | TYPEOF_PPOINTER 19
#define | TYPEOF_IPOINTER 20
#define | TYPEOF_EEPPOINTER 21

## Macro Definition Documentation

## TYPEOF_INT

#define TYPEOF_INT 1

## TYPEOF_SHORT

#define TYPEOF_SHORT 2

## TYPEOF_CHAR

#define TYPEOF_CHAR 3

## TYPEOF_LONG

#define TYPEOF_LONG 4

## TYPEOF_FLOAT

#define TYPEOF_FLOAT 5

## TYPEOF_FIXED16X16

#define TYPEOF_FIXED16X16 6

## TYPEOF_BIT

#define TYPEOF_BIT 7

## TYPEOF_BITFIELD

#define TYPEOF_BITFIELD 8

## TYPEOF_SBIT

#define TYPEOF_SBIT 9

## TYPEOF_SFR

#define TYPEOF_SFR 10

## TYPEOF_VOID

#define TYPEOF_VOID 11

## TYPEOF_STRUCT

#define TYPEOF_STRUCT 12

## TYPEOF_ARRAY

#define TYPEOF_ARRAY 13

## TYPEOF_FUNCTION

#define TYPEOF_FUNCTION 14

## TYPEOF_POINTER

#define TYPEOF_POINTER 15

## TYPEOF_FPOINTER

#define TYPEOF_FPOINTER 16

## TYPEOF_CPOINTER

#define TYPEOF_CPOINTER 17

## TYPEOF_GPOINTER

#define TYPEOF_GPOINTER 18

## TYPEOF_PPOINTER

#define TYPEOF_PPOINTER 19

## TYPEOF_IPOINTER

#define TYPEOF_IPOINTER 20

## TYPEOF_EEPPOINTER

#define TYPEOF_EEPPOINTER 21